/*!
 * 消息提醒页面交互
 * author: xl;
 */

(function(win, $) {
 
 // 消息列表
 var $msgList = $("#msg-list"),
 // 消息列表项集合
 $msgListItem = $(".message-block", $msgList),
 // 圆圈图标集合
 $selectArea = $(".select-area", $msgList),
 // “不在提醒”按钮;
 $noRemindBtn = $("#noremind-btn"),
 // 选中的消息id;
 selectedId = [],
 // 分页
 $paginate = $(".mui-content-padded");
 
 // 根据isOprate判断页面是否有可以操作的样式。
 var showPage = function(isOprate) {
 
 if (isOprate) {
 $msgListItem.addClass('edit');
 $paginate.addClass('hidden');
 $msgList.unbind();
 
 // 圆圈图标点击切换样式
 $msgList.on('tap', '.message-block', function(event) {
             
             $el = $(this);
             
             $elIcon = $el.find('.edit-icon');
             
             
             if (!$el.data("select")) {
             
             $elIcon.addClass('selected');
             selectedId.push($elIcon.data('id'));
             $el.data("select", true);
             
             } else {
             
             $elIcon.removeClass('selected');
             for (var i = 0; i < selectedId.length; i++) {
             
             if (selectedId[i] == $elIcon.data("id")) {
             selectedId.splice(i, 1);
             }
             }
             
             $el.data("select", false);
             }
             
             // 遍历所有选择图标，控制“不在提醒”按钮样式
             var hasSelected = false;
             
             $selectArea.each(function(index, el) {
                              var $elIcon = $(this).children();
                              if ($elIcon.hasClass("selected")) {
                              
                              hasSelected = true;
                              return false;
                              }
                              });
             
             if (hasSelected) {
             
             $noRemindBtn.addClass('selected');
             
             } else {
             
             $noRemindBtn.removeClass('selected');
             }
             
             }).on('click', 'a', function(event) {
                   event.preventDefault();
                   return false;
                   });;
 
 // 底部“不在提醒”按钮显示
 $noRemindBtn.removeClass('hidden');
 
 } else {
 $msgListItem.removeClass('edit');
 $paginate.removeClass('hidden');
 
 $msgList.unbind();
 
 // 底部“不在提醒”按钮隐藏
 $noRemindBtn.addClass('hidden');
 
 // 每条记录添加点击事件
 $msgList.on('tap', 'section', function(event) {
             
             
             var $touchItem = $(this).find('.message-title').children(),
             href = $touchItem.attr('href'),
             id = $(this).find('.message-title').data("mailid");
             
//             href += "/clickItem=" + id;
//             console.log(href);
//             window.location.href = href;
                win.moa.itemClick(id);
             
             });
 
 $msgList.on('click', 'a', function(event) {
             event.preventDefault();
             });
 
 }
 };
 
 
 
 // 点击“不在提醒”按钮发送url
 $noRemindBtn.on('touchstart', function(event) {
                 event.preventDefault();
                 // 选中消息时，点击跳转
                 if ($(this).hasClass('selected')) {
                 
//                 var href = targetUrl + "/noRemind=" + selectedId.join('|');
                 // console.log(href);
//                 window.location.href = href;
                    var args = selectedId.join(';');
                    win.moa.noReMind(args);

                 }
                 
                 });
 
 showPage(false);
 win.showPage = showPage;
 
 }(this, Zepto));
